function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","2");
var B=A.fN("Enterprise Suite and Inference Edition Features","3");
B=A.fN("Related Documentation","4");
var C=B.fN("TIBCO BusinessEvents Documentation","4#30316");
C=B.fN("Other TIBCO Product Documentation","4#24887");
B=A.fN("Typographical Conventions","5");
B=A.fN("How to Contact TIBCO Support","6");
A=P.fN("Chapter\u00a01 Rule Language Grammar","7");
B=A.fN("Rule Language Basics","8");
C=B.fN("Whitespace","8#1672931");
C=B.fN("Comments","8#1672942");
C=B.fN("Separators","8#1672952");
C=B.fN("Identifiers (Names)","8#1672973");
C=B.fN("Local Variables","8#1672995");
C=B.fN("Keywords and other Reserved Words","8#1673014");
C=B.fN("Literals","8#1673163");
C=B.fN("Escape Sequences","8#1673180");
C=B.fN("Operators","8#1673226");
C=B.fN("Rule Components","8#1673274");
B=A.fN("Attributes","9");
B=A.fN("Accessing Concept and Event Properties","10");
C=B.fN("Concept Property Atom","10#1686267");
C=B.fN("Concept Property Array","10#1686311");
C=B.fN("Event Property","10#1686341");
B=A.fN("Exception Handling","11");
C=B.fN("Syntax","11#1673652");
C=B.fN("Examples","11#1673671");
B=A.fN("Flow Control","12");
C=B.fN("if/else","12#1673718");
C=B.fN("for","12#1673728");
C=B.fN("while","12#1673746");
A=P.fN("Chapter\u00a02 Working With Rule Language Datatypes","13");
B=A.fN("Concept Properties to XML Datatype Conversions","14");
B=A.fN("Compatibility of Operators with Types","15");
B=A.fN("Correcting Inconsistencies of Type","16");
C=B.fN("String Operands","16#1674316");
C=B.fN("Arithmetic Expressions","16#1674324");
C=B.fN("Assignment Conversion","16#1674336");
C=B.fN("Function Argument Conversion","16#1674341");
A=P.fN("Chapter\u00a03 Rule Language Syntax","17");
B=A.fN("Rule Language Syntax","18");
A=P.fN("Chapter\u00a04 Creating Custom Functions","19");
B=A.fN("Overview of Creating Custom Functions","20");
C=B.fN("Restrictions","20#1679326");
C=B.fN("Task Summary","20#1679242");
B=A.fN("Structure of a Function Catalog","21");
C=B.fN("Elements","21#1674488");
C=B.fN("Example Function Catalog","21#1674618");
B=A.fN("Java Archive Resource","22");
A=P.fN("Chapter\u00a05 Query Features Overview","23");
B=A.fN("Query Features Overview","24");
C=B.fN("Queries are Executed in Query Agents","24#1758821");
C=B.fN("Queries Retrieve Information from Cache","24#1703013");
C=B.fN("Two Main Types of Queries","24#1707003");
C=B.fN("Structure of a Query Select Statement","24#1711577");
C=B.fN("Summary of Functions Used to Create and Execute Queries","24#1723034");
C=B.fN("For More Information","24#1758788");
B=A.fN("Two Common Ways to Use Queries","25");
C=B.fN("Triggering a Query from a Rule (in an Inference Agent)","25#1730439");
C=B.fN("Using a Query as a Pre-filter","25#1730451");
A=P.fN("Chapter\u00a06 Query Language Components","26");
B=A.fN("Select Clause","27");
B=A.fN("From Clause","28");
B=A.fN("Where Clause","29");
B=A.fN("Group by Clause","30");
B=A.fN("Order by Clause","31");
B=A.fN("Limit Clause","32");
B=A.fN("Stream Clause","33");
B=A.fN("Stream Policy","34");
A=P.fN("Chapter\u00a07 Working With the Query Language","35");
B=A.fN("Querying the Cache and Using Query Results","36");
C=B.fN("Query Function Catalog","36#1716394");
C=B.fN("Using Functions Within Queries","36#1725226");
C=B.fN("Using Bind Variables","36#1729661");
C=B.fN("Limitation in Use of Arrays","36#1717663");
B=A.fN("Lifecycle of a Query\u2014Use of Query Functions","37");
C=B.fN("Create the Query Definition","37#1681706");
C=B.fN("Open a Query Statement","37#1681748");
C=B.fN("Set Bind Variables (if Used)","37#1731487");
C=B.fN("Execute an Instance of the Query Statement and Obtain Results","37#1728084");
C=B.fN("Closing a Statement and Deleting a Query Definition","37#1686520");
B=A.fN("Using Data from a Result Set","38");
B=A.fN("Using Data from a Callback Rule Function","39");
C=B.fN("The Callback Rule Function Required Signature","39#1688493");
B=A.fN("Simple Snapshot Query Example","40");
B=A.fN("Simple Continuous Query Example","41");
C=B.fN("Example Showing Batching of Return Values","41#1749838");
B=A.fN("Using Bind Variables in Query Text","42");
A=P.fN("Chapter\u00a08 Working With Continuous Queries","43");
B=A.fN("Overview of Continuous Queries","44");
C=B.fN("Executing a Continuous Query","44#1739213");
C=B.fN("Ending a Continuous Query","44#1739183");
C=B.fN("Understanding Query Windows","44#1678121");
B=A.fN("Working With Implicit Windows","45");
C=B.fN("Implicit Window Examples","45#1738824");
B=A.fN("Working With Sliding, Tumbling, and Time Windows","46");
C=B.fN("Use Sliding, Tumbling, or Time Windows for Events and not Concepts","46#1684165");
B=A.fN("Explicit Window Example","47");
B=A.fN("Sliding Window Examples","48");
B=A.fN("Tumbling Window Examples","49");
B=A.fN("Time Window Examples","50");
B=A.fN("Optimizing the Design","51");
C=B.fN("Reuse Existing Queries and Statements Whenever Possible","51#1736113");
C=B.fN("Improve Performance by Pre-fetching Objects","51#1736127");
C=B.fN("Use Filtering for Efficient Joins","51#1736135");
C=B.fN("Effect of the Cache on Continuous Queries","51#1736153");
C=B.fN("Effect of Time on Queries","51#1736156");
A=P.fN("Chapter\u00a09 Query Language Reference","52");
B=A.fN("Miscellaneous Terms Used in Query Syntax Diagrams","53");
C=B.fN("Reading Query Language Syntax Diagrams","53#1728363");
B=A.fN("Query Syntax","54");
C=B.fN("Select Clause","54#1672946");
C=B.fN("From Clause","54#1672999");
C=B.fN("Where Clause","54#1672960");
C=B.fN("Group by Clause","54#1672967");
C=B.fN("Order By Clause","54#1672974");
C=B.fN("Limit","54#1673084");
C=B.fN("Stream Clause","54#1673087");
C=B.fN("Stream Policy","54#1682295");
B=A.fN("Expression Syntax","55");
C=B.fN("Expression","55#1673225");
C=B.fN("Boolean Expression","55#1677278");
C=B.fN("DateTime Expression","55#1677378");
C=B.fN("Entity Expression","55#1677452");
C=B.fN("Number Expression","55#1673237");
C=B.fN("String Expression","55#1673834");
C=B.fN("Identifier-Dependent Expression","55#1673358");
B=A.fN("Operators for Unary Expressions","56");
B=A.fN("Operators for Binary Expressions","57");
B=A.fN("Operators for Other Expressions","58");
B=A.fN("Wildcards, Datatypes, and Literals","59");
C=B.fN("Wildcard Characters","59#1711169");
C=B.fN("Datatypes","59#1711172");
C=B.fN("Literals","59#1711177");
C=B.fN("Types and Literals","59#1711182");
C=B.fN("Identifier","59#1711262");
B=A.fN("Reserved Words","60");
C=B.fN("Escaping the Keywords","60#1711365");
}
