function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","2");
var B=A.fN("Enterprise Suite and Inference Edition Features","3");
B=A.fN("Related Documentation","4");
var C=B.fN("TIBCO BusinessEvents Documentation","4#30316");
C=B.fN("Other TIBCO Product Documentation","4#24887");
B=A.fN("Typographical Conventions","5");
B=A.fN("How to Contact TIBCO Support","6");
A=P.fN("Chapter\u00a01 Introduction to Decision Manager","7");
B=A.fN("Introduction to Decision Manager","8");
C=B.fN("Rule Building with Decision Manager","8#3912386");
C=B.fN("RMS and Decision Projects","8#3912414");
B=A.fN("Introduction to Rules Management Server","9");
B=A.fN("Deployment Architecture","10");
B=A.fN("Decision Manager and RMS Workflow","11");
B=A.fN("Decision Manager User Interface","12");
A=P.fN("Chapter\u00a02 RMS and Decision Manager Configuration","13");
B=A.fN("RMS Project Directories and Files","14");
B=A.fN("Configuring RMS Server Properties","15");
C=B.fN("Choosing Single Project or Multiple Project Mode","15#4019405");
C=B.fN("Enabling Remote Connectivity","15#4048942");
C=B.fN("To Configure RMS Properties","15#4018337");
B=A.fN("RMS Server Configuration Property Reference","16");
B=A.fN("Configuring Decision Manager Properties","17");
B=A.fN("Decision Manager Configuration Property Reference","18");
B=A.fN("Configuring Workflow Status Permissions for User Roles","19");
B=A.fN("Configuring for Deployment of Decision Table Classes","20");
B=A.fN("Configuring for Unloading of Decision Table Classes","21");
C=B.fN("Two Ways to Unload Decision Table Classes","21#4079041");
C=B.fN("Configuring to Enable Unload in the Worklist View","21#4079051");
B=A.fN("Configuring Project Tester Options","22");
C=B.fN("Project Tester Options","22#4052303");
C=B.fN("Configuring for Local or Full Tester Options","22#4051739");
B=A.fN("Adding Custom Functions to Decision Manager","23");
A=P.fN("Chapter\u00a03 Configuring User Authentication","24");
B=A.fN("User Authentication Overview","25");
C=B.fN("Authentication Options","25#3999806");
C=B.fN("Pluggable JAAS Login Module","25#4017429");
B=A.fN("Configuring User Authentication","26");
C=B.fN("Configuring File-Based Authentication","26#3998011");
C=B.fN("Configuring LDAP-Based Authentication","26#3999906");
B=A.fN("Authentication Property Reference","27");
A=P.fN("Chapter\u00a04 Creating an RMS Project And Starting RMS","28");
B=A.fN("Creating a Rules Management Server Project","29");
B=A.fN("Starting the RMS Server","30");
A=P.fN("Chapter\u00a05 Configuring Access Control for a Project","31");
B=A.fN("Configuring Access Control\u2014Overview","32");
C=B.fN("Establishing the User Roles","32#4014302");
C=B.fN("Guidelines for Configuring Access Control","32#4013686");
C=B.fN("Structure of the Access Control File","32#4003901");
B=A.fN("Working with Access Control Files","33");
C=B.fN("Creating and Modifying an Access Control File","33#4085767");
C=B.fN("Location of Access Control Files","33#4066188");
C=B.fN("Specifying and Grouping Decision Project Resources","33#4011943");
C=B.fN("Defining Permissions","33#4005792");
B=A.fN("Resource Types and Corresponding Action Types","34");
A=P.fN("Chapter\u00a06 Working With Decision Manager Projects","35");
B=A.fN("Working with Decision Projects\u2014Overview","36");
C=B.fN("Navigation Tips","36#4079915");
B=A.fN("Starting and Logging in to Decision Manager","37");
B=A.fN("Creating a Decision Project","38");
B=A.fN("Opening an Existing Decision Project","39");
B=A.fN("Updating (Refreshing) a Decision Project","40");
B=A.fN("Committing Decision Tables for Approval","41");
B=A.fN("Checking the Status of a Committed Project","42");
A=P.fN("Chapter\u00a07 Working with Decision Tables","43");
B=A.fN("Creating, Opening, and Saving Decision Tables","44");
B=A.fN("Defining Domain Models","45");
C=B.fN("Who Defines Domain Models","45#4069632");
C=B.fN("Domain Models for Primitive Data Types","45#4069636");
C=B.fN("Creating and Managing Master Domain Model Files","45#4069652");
C=B.fN("Defining Domain Models","45#4069663");
C=B.fN("Using Domain Models","45#4069691");
B=A.fN("Building Decision Tables","46");
B=A.fN("Tips on Working With Decision Tables","47");
C=B.fN("Setting Row Priorities","47#4045077");
C=B.fN("Setting Effective Dates","47#4045081");
C=B.fN("Context Menu Options for Decision Tables","47#4045599");
B=A.fN("Understanding Column Types","48");
C=B.fN("non-Custom Condition Columns","48#4069092");
C=B.fN("Custom Condition Columns","48#4069102");
C=B.fN("non-Custom Action Columns","48#4069108");
C=B.fN("Custom Action Columns","48#4069110");
B=A.fN("Locking and Unlocking Decision Tables","49");
B=A.fN("Validating Decision Tables","50");
B=A.fN("Testing Decision Tables","51");
C=B.fN("Committing the Project for Approval","51#4070400");
B=A.fN("Comparing Decision Tables","52");
B=A.fN("Working With History View","53");
C=B.fN("Comparing Two Checkin Requests","53#4037837");
B=A.fN("Importing and Exporting Decision Tables","54");
C=B.fN("Importing Data from a Microsoft Excel File","54#4037921");
C=B.fN("Exporting a Decision Table to a Microsoft Excel File","54#4037966");
A=P.fN("Chapter\u00a08 Working with the Approval Process","55");
B=A.fN("Working with the Decision Table Approval Process","56");
C=B.fN("Understanding Approval Actions and Status Values","56#3923959");
C=B.fN("Checking a Worklist and Taking Action on Project Resources","56#4077038");
B=A.fN("Checking in Decision Tables Using JMX","57");
A=P.fN("Chapter\u00a09 Deploying and Unloading Decision Tables","58");
B=A.fN("Deploying Decision Tables","59");
C=B.fN("Deploying Decision Table Classes at BusinessEvents Startup","59#4077560");
C=B.fN("Hot Deploying External Classes Using JMX","59#4081549");
B=A.fN("Undeploying (Unloading) Decision Tables","60");
C=B.fN("Undeploying Decision Manager Classes in Decision Manager","60#4037425");
C=B.fN("Undeploying Decision Manager Classes Using JMX","60#4037246");
A=P.fN("Chapter\u00a010 Setting Application Preferences","61");
B=A.fN("Setting Application Preferences","62");
}
